Subject: Re: [xml2rfc] list/@style='hanging' and @hangIndent

From: Curtis Villamizar <[email-masked]>
Date: Tue, 04 Feb 2014 16:08:12 -0500

In message <[email-masked]>
"Jim Schaad" writes:
 
> Yes - but looking right is more important to me.
>  
> Jim

This seems to be going down the road of "is HTML a display language
(like postscript or PDF but for browsers) or is it a markup language
in which the tags are meaningful (like XML).

I see Julian's point.  It would be better if CSS supported this using
the dl/dh/dt tags.  Unfortunately even the old "compact" attribute was
never really supported and depricated a long time ago.

btw- I checked the list of attributes for dl/dt/dd and did not find
any attributes, implemented or not.  Did I miss something?  Perhaps
Julian is referring to float:left and break:none?

Still it would be nice to say something formates like:

  Flag bits:
    00   behave normally
    01   halt after execution
    10   catch fire after execution
    11   halt and catch fire

For that reason I think Jim is right and we should regard xml2rfc as
an input format and HTML, like PDF, as more of a display format,
particularly when the set of attributes won't get the job done.

Curtis

> > -----Original Message-----
> > From: Julian Reschke [mailto:[email-masked]]
> > Sent: Thursday, January 30, 2014 7:42 AM
> > To: Jim Schaad; [email-masked]
> > Subject: Re: [xml2rfc] list/@style='hanging' and @hangIndent
> > 
> > On 2014-01-28 00:43, Jim Schaad wrote:
> > > So look at section 3.
> > 
> > OK, so this indeed *looks* the way it should.
> > 
> > The problem here is that we have a list in the source, but not in the
> HTML,
> > which makes me a bit sad.
> > 
> > What we *should* generate is a HTML definition list, but it appears there
> is
> > no (implemented) CSS support to get the look & feel we want.
> > 
> > Best regards, Julian
>  
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc